QB_LIST_ADD_TAIL(3)

NAME
qb_list_add_tail - Add to the list (but at the end of the list).

SYNOPSIS
#include <qb/qblist.h>

static void qb_list_add_tail(
    struct qb_list_head   *element,  /* pointer to the element to add */
    struct qb_list_head   *head      /* pointer to the list head */
);

PARAMS
element pointer to the element to add

head pointer to the list head

DESCRIPTION

STRUCTURES

struct qb_list_head {

    struct   next;

    struct   prev;
};

SEE ALSO

qb_list_empty(3), qb_list_add(3), qb_list_splice_tail(3), qb_list_length(3), qb_list_replace(3), qb_list_init(3), qb_list_splice(3), qb_list_is_last(3), qb_list_del(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.